Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui
Interface ISaveablePart

All Known Subinterfaces:
  IEditorPart, IFormPage, IInPlaceEditor, IReusableEditor, ISaveableWorkbenchPart, ITextEditor

All Known Implementing Classes:
  AbstractTextEditor, EditorPart, FormPage, SaveablePartAdapter

public interface ISaveablePart

Workbench parts implement or adapt to this interface to participate in the enablement and execution of the `Save` and `Save As` actions.

Since:
  2.1
See Also:
  `IEditorPart`

Field Summary
`static int` | `PROP_DIRTY` The property id for `isDirty`.

Method Summary
`void` | `doSave(IProgressMonitor monitor)` Saves the contents of this part.
`void` | `doSaveAs()` Saves the contents of this part to another object.
`boolean` | `isDirty()` Returns whether the contents of this part have changed since the last save operation.
`boolean` | `isSaveAsAllowed()` Returns whether the "Save As" operation is supported by this part.
`boolean` | `isSaveOnCloseNeeded()` Returns whether the contents of this part should be saved when the part is closed.

Field Detail

### PROP_DIRTY

    public static final int PROP_DIRTY

  The property id for `isDirty`.

  See Also:
    Constant Field Values

Method Detail

### doSave

    public void doSave(IProgressMonitor monitor)

  Saves the contents of this part.

  If the save is successful, the part should fire a property changed event reflecting the new dirty state (`PROP_DIRTY` property).

  If the save is cancelled through user action, or for any other reason, the part should invoke `setCancelled` on the `IProgressMonitor` to inform the caller.

  This method is long-running; progress and cancellation are provided by the given progress monitor.

  Parameters:
    `monitor` - the progress monitor

### doSaveAs

    public void doSaveAs()

  Saves the contents of this part to another object.

  Implementors are expected to open a "Save As" dialog where the user will be able to select a new name for the contents. After the selection is made, the contents should be saved to that new name. During this operation a `IProgressMonitor` should be used to indicate progress.

  If the save is successful, the part fires a property changed event reflecting the new dirty state (`PROP_DIRTY` property).

### isDirty

    public boolean isDirty()

  Returns whether the contents of this part have changed since the last save operation. If this value changes the part must fire a property listener event with `PROP_DIRTY`.

  Returns:
    `true` if the contents have been modified and need saving, and `false` if they have not changed since the last save

### isSaveAsAllowed

    public boolean isSaveAsAllowed()

  Returns whether the "Save As" operation is supported by this part.

  Returns:
    `true` if "Save As" is supported, and `false` if not supported

### isSaveOnCloseNeeded

    public boolean isSaveOnCloseNeeded()

  Returns whether the contents of this part should be saved when the part is closed.

  Returns:
    `true` if the contents of the part should be saved on close, and `false` if the contents are expendable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.